/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { NocoBaseDesktopRoute } from './route-types';
export declare function findRouteBySchemaUid(schemaUid: string, treeArray: NocoBaseDesktopRoute[]): any;
export declare function findRouteById(id: string, treeArray: NocoBaseDesktopRoute[]): any;
export declare function findFirstPageRoute(routes: NocoBaseDesktopRoute[]): any;
export declare function isGroup(groupId: string, allAccessRoutes: NocoBaseDesktopRoute[]): boolean;
